# Security update for maven, maven-resolver, sbt, xmvn

Announcement ID: SUSE-SU-2023:4527-1  
Rating: moderate  
References:

  * bsc#1162112
  * bsc#1216529

  
Cross-References:

  * CVE-2023-46122

  
CVSS scores:

  * CVE-2023-46122 ( SUSE ):  3.9 CVSS:3.1/AV:L/AC:L/PR:L/UI:R/S:U/C:N/I:L/A:L
  * CVE-2023-46122 ( NVD ):  3.9 CVSS:3.1/AV:L/AC:L/PR:L/UI:R/S:U/C:N/I:L/A:L

  
Affected Products:

  * Development Tools Module 15-SP4
  * Development Tools Module 15-SP5
  * openSUSE Leap 15.4
  * openSUSE Leap 15.5
  * SUSE Enterprise Storage 7.1
  * SUSE Linux Enterprise Desktop 15 SP4
  * SUSE Linux Enterprise Desktop 15 SP5
  * SUSE Linux Enterprise High Performance Computing 15 SP2
  * SUSE Linux Enterprise High Performance Computing 15 SP2 LTSS 15-SP2
  * SUSE Linux Enterprise High Performance Computing 15 SP3
  * SUSE Linux Enterprise High Performance Computing 15 SP4
  * SUSE Linux Enterprise High Performance Computing 15 SP5
  * SUSE Linux Enterprise High Performance Computing ESPOS 15 SP3
  * SUSE Linux Enterprise High Performance Computing LTSS 15 SP3
  * SUSE Linux Enterprise Micro 5.5
  * SUSE Linux Enterprise Micro 6.0
  * SUSE Linux Enterprise Real Time 15 SP4
  * SUSE Linux Enterprise Real Time 15 SP5
  * SUSE Linux Enterprise Server 15 SP2
  * SUSE Linux Enterprise Server 15 SP2 LTSS 15-SP2
  * SUSE Linux Enterprise Server 15 SP3
  * SUSE Linux Enterprise Server 15 SP3 LTSS 15-SP3
  * SUSE Linux Enterprise Server 15 SP4
  * SUSE Linux Enterprise Server 15 SP5
  * SUSE Linux Enterprise Server for SAP Applications 15 SP2
  * SUSE Linux Enterprise Server for SAP Applications 15 SP3
  * SUSE Linux Enterprise Server for SAP Applications 15 SP4
  * SUSE Linux Enterprise Server for SAP Applications 15 SP5
  * SUSE Manager Proxy 4.3
  * SUSE Manager Retail Branch Server 4.3
  * SUSE Manager Server 4.3
  * SUSE Package Hub 15 15-SP5

  
  
An update that solves one vulnerability and has one security fix can now be
installed.

## Description:

This update for maven, maven-resolver, sbt, xmvn fixes the following issues:

  * CVE-2023-46122: Fixed an arbitrary file write when extracting a crafted zip
    file with sbt (bsc#1216529).
  * Upgraded maven to version 3.9.4
  * Upgraded maven-resolver to version 1.9.15.

## Patch Instructions:

To install this SUSE update use the SUSE recommended installation methods like
YaST online_update or "zypper patch".  
Alternatively you can run the command listed for your product:

  * openSUSE Leap 15.4  
    zypper in -t patch openSUSE-SLE-15.4-2023-4527=1

  * openSUSE Leap 15.5  
    zypper in -t patch openSUSE-SLE-15.5-2023-4527=1

  * Development Tools Module 15-SP4  
    zypper in -t patch SUSE-SLE-Module-Development-Tools-15-SP4-2023-4527=1

  * Development Tools Module 15-SP5  
    zypper in -t patch SUSE-SLE-Module-Development-Tools-15-SP5-2023-4527=1

  * SUSE Package Hub 15 15-SP5  
    zypper in -t patch SUSE-SLE-Module-Packagehub-Subpackages-15-SP5-2023-4527=1

  * SUSE Linux Enterprise High Performance Computing 15 SP2 LTSS 15-SP2  
    zypper in -t patch SUSE-SLE-Product-HPC-15-SP2-LTSS-2023-4527=1

  * SUSE Linux Enterprise High Performance Computing ESPOS 15 SP3  
    zypper in -t patch SUSE-SLE-Product-HPC-15-SP3-ESPOS-2023-4527=1

  * SUSE Linux Enterprise High Performance Computing LTSS 15 SP3  
    zypper in -t patch SUSE-SLE-Product-HPC-15-SP3-LTSS-2023-4527=1

  * SUSE Linux Enterprise Server 15 SP2 LTSS 15-SP2  
    zypper in -t patch SUSE-SLE-Product-SLES-15-SP2-LTSS-2023-4527=1

  * SUSE Linux Enterprise Server 15 SP3 LTSS 15-SP3  
    zypper in -t patch SUSE-SLE-Product-SLES-15-SP3-LTSS-2023-4527=1

  * SUSE Linux Enterprise Server for SAP Applications 15 SP2  
    zypper in -t patch SUSE-SLE-Product-SLES_SAP-15-SP2-2023-4527=1

  * SUSE Linux Enterprise Server for SAP Applications 15 SP3  
    zypper in -t patch SUSE-SLE-Product-SLES_SAP-15-SP3-2023-4527=1

  * SUSE Enterprise Storage 7.1  
    zypper in -t patch SUSE-Storage-7.1-2023-4527=1

## Package List:

  * openSUSE Leap 15.4 (aarch64 ppc64le s390x x86_64)
    * xmvn-minimal-4.2.0-150200.3.14.1
    * maven-3.9.4-150200.4.18.1
    * maven-lib-3.9.4-150200.4.18.1
    * xmvn-4.2.0-150200.3.14.1
  * openSUSE Leap 15.4 (noarch)
    * xmvn-core-4.2.0-150200.3.14.1
    * maven-resolver-api-1.9.15-150200.3.14.2
    * maven-resolver-transport-classpath-1.9.15-150200.3.14.2
    * maven-javadoc-3.9.4-150200.4.18.1
    * xmvn-api-4.2.0-150200.3.14.1
    * maven-resolver-transport-http-1.9.15-150200.3.14.2
    * maven-resolver-javadoc-1.9.15-150200.3.14.2
    * maven-resolver-test-util-1.9.15-150200.3.14.2
    * sbt-0.13.18-150200.4.16.1
    * maven-resolver-connector-basic-1.9.15-150200.3.14.2
    * maven-resolver-transport-file-1.9.15-150200.3.14.2
    * maven-resolver-util-1.9.15-150200.3.14.2
    * sbt-bootstrap-0.13.18-150200.4.16.1
    * xmvn-connector-javadoc-4.2.0-150200.3.14.1
    * xmvn-connector-4.2.0-150200.3.14.1
    * xmvn-mojo-4.2.0-150200.3.14.1
    * xmvn-tools-javadoc-4.2.0-150200.3.14.1
    * maven-resolver-impl-1.9.15-150200.3.14.2
    * xmvn-parent-4.2.0-150200.3.14.1
    * maven-resolver-transport-wagon-1.9.15-150200.3.14.2
    * xmvn-subst-4.2.0-150200.3.14.1
    * xmvn-install-4.2.0-150200.3.14.1
    * maven-resolver-named-locks-1.9.15-150200.3.14.2
    * maven-resolver-1.9.15-150200.3.14.2
    * maven-resolver-spi-1.9.15-150200.3.14.2
    * xmvn-mojo-javadoc-4.2.0-150200.3.14.1
    * xmvn-resolve-4.2.0-150200.3.14.1
  * openSUSE Leap 15.5 (aarch64 ppc64le s390x x86_64)
    * xmvn-minimal-4.2.0-150200.3.14.1
    * maven-3.9.4-150200.4.18.1
    * maven-lib-3.9.4-150200.4.18.1
    * xmvn-4.2.0-150200.3.14.1
  * openSUSE Leap 15.5 (noarch)
    * xmvn-core-4.2.0-150200.3.14.1
    * maven-resolver-api-1.9.15-150200.3.14.2
    * maven-resolver-transport-classpath-1.9.15-150200.3.14.2
    * maven-javadoc-3.9.4-150200.4.18.1
    * xmvn-api-4.2.0-150200.3.14.1
    * maven-resolver-transport-http-1.9.15-150200.3.14.2
    * maven-resolver-javadoc-1.9.15-150200.3.14.2
    * maven-resolver-test-util-1.9.15-150200.3.14.2
    * sbt-0.13.18-150200.4.16.1
    * maven-resolver-connector-basic-1.9.15-150200.3.14.2
    * maven-resolver-transport-file-1.9.15-150200.3.14.2
    * maven-resolver-util-1.9.15-150200.3.14.2
    * sbt-bootstrap-0.13.18-150200.4.16.1
    * xmvn-connector-javadoc-4.2.0-150200.3.14.1
    * xmvn-connector-4.2.0-150200.3.14.1
    * xmvn-mojo-4.2.0-150200.3.14.1
    * xmvn-tools-javadoc-4.2.0-150200.3.14.1
    * maven-resolver-impl-1.9.15-150200.3.14.2
    * xmvn-parent-4.2.0-150200.3.14.1
    * maven-resolver-transport-wagon-1.9.15-150200.3.14.2
    * xmvn-subst-4.2.0-150200.3.14.1
    * xmvn-install-4.2.0-150200.3.14.1
    * maven-resolver-named-locks-1.9.15-150200.3.14.2
    * maven-resolver-1.9.15-150200.3.14.2
    * maven-resolver-spi-1.9.15-150200.3.14.2
    * xmvn-mojo-javadoc-4.2.0-150200.3.14.1
    * xmvn-resolve-4.2.0-150200.3.14.1
  * Development Tools Module 15-SP4 (aarch64 ppc64le s390x x86_64)
    * maven-3.9.4-150200.4.18.1
    * maven-lib-3.9.4-150200.4.18.1
    * xmvn-minimal-4.2.0-150200.3.14.1
    * xmvn-4.2.0-150200.3.14.1
  * Development Tools Module 15-SP4 (noarch)
    * xmvn-core-4.2.0-150200.3.14.1
    * xmvn-connector-4.2.0-150200.3.14.1
    * xmvn-install-4.2.0-150200.3.14.1
    * maven-resolver-api-1.9.15-150200.3.14.2
    * xmvn-subst-4.2.0-150200.3.14.1
    * xmvn-mojo-4.2.0-150200.3.14.1
    * maven-resolver-named-locks-1.9.15-150200.3.14.2
    * maven-resolver-spi-1.9.15-150200.3.14.2
    * xmvn-resolve-4.2.0-150200.3.14.1
    * maven-resolver-connector-basic-1.9.15-150200.3.14.2
    * maven-resolver-transport-file-1.9.15-150200.3.14.2
    * maven-resolver-impl-1.9.15-150200.3.14.2
    * maven-resolver-util-1.9.15-150200.3.14.2
    * xmvn-api-4.2.0-150200.3.14.1
    * maven-resolver-transport-wagon-1.9.15-150200.3.14.2
    * maven-resolver-transport-http-1.9.15-150200.3.14.2
  * Development Tools Module 15-SP5 (aarch64 ppc64le s390x x86_64)
    * xmvn-minimal-4.2.0-150200.3.14.1
    * maven-3.9.4-150200.4.18.1
    * maven-lib-3.9.4-150200.4.18.1
    * xmvn-4.2.0-150200.3.14.1
  * Development Tools Module 15-SP5 (noarch)
    * xmvn-core-4.2.0-150200.3.14.1
    * xmvn-connector-4.2.0-150200.3.14.1
    * xmvn-install-4.2.0-150200.3.14.1
    * maven-resolver-api-1.9.15-150200.3.14.2
    * xmvn-subst-4.2.0-150200.3.14.1
    * xmvn-mojo-4.2.0-150200.3.14.1
    * maven-resolver-named-locks-1.9.15-150200.3.14.2
    * maven-resolver-spi-1.9.15-150200.3.14.2
    * xmvn-resolve-4.2.0-150200.3.14.1
    * maven-resolver-connector-basic-1.9.15-150200.3.14.2
    * maven-resolver-transport-file-1.9.15-150200.3.14.2
    * maven-resolver-impl-1.9.15-150200.3.14.2
    * xmvn-api-4.2.0-150200.3.14.1
    * maven-resolver-util-1.9.15-150200.3.14.2
    * maven-resolver-transport-wagon-1.9.15-150200.3.14.2
    * maven-resolver-transport-http-1.9.15-150200.3.14.2
  * SUSE Package Hub 15 15-SP5 (noarch)
    * sbt-bootstrap-0.13.18-150200.4.16.1
    * sbt-0.13.18-150200.4.16.1
  * SUSE Linux Enterprise High Performance Computing 15 SP2 LTSS 15-SP2 (aarch64
    x86_64)
    * xmvn-minimal-4.2.0-150200.3.14.1
    * maven-3.9.4-150200.4.18.1
    * maven-lib-3.9.4-150200.4.18.1
    * xmvn-4.2.0-150200.3.14.1
  * SUSE Linux Enterprise High Performance Computing 15 SP2 LTSS 15-SP2 (noarch)
    * xmvn-core-4.2.0-150200.3.14.1
    * xmvn-connector-4.2.0-150200.3.14.1
    * xmvn-install-4.2.0-150200.3.14.1
    * maven-resolver-api-1.9.15-150200.3.14.2
    * xmvn-subst-4.2.0-150200.3.14.1
    * xmvn-mojo-4.2.0-150200.3.14.1
    * maven-resolver-named-locks-1.9.15-150200.3.14.2
    * maven-resolver-spi-1.9.15-150200.3.14.2
    * xmvn-resolve-4.2.0-150200.3.14.1
    * maven-resolver-connector-basic-1.9.15-150200.3.14.2
    * maven-resolver-transport-file-1.9.15-150200.3.14.2
    * maven-resolver-impl-1.9.15-150200.3.14.2
    * maven-resolver-util-1.9.15-150200.3.14.2
    * xmvn-api-4.2.0-150200.3.14.1
    * maven-resolver-transport-wagon-1.9.15-150200.3.14.2
    * maven-resolver-transport-http-1.9.15-150200.3.14.2
  * SUSE Linux Enterprise High Performance Computing ESPOS 15 SP3 (aarch64
    x86_64)
    * xmvn-minimal-4.2.0-150200.3.14.1
    * maven-3.9.4-150200.4.18.1
    * maven-lib-3.9.4-150200.4.18.1
    * xmvn-4.2.0-150200.3.14.1
  * SUSE Linux Enterprise High Performance Computing ESPOS 15 SP3 (noarch)
    * xmvn-core-4.2.0-150200.3.14.1
    * xmvn-connector-4.2.0-150200.3.14.1
    * xmvn-install-4.2.0-150200.3.14.1
    * maven-resolver-api-1.9.15-150200.3.14.2
    * xmvn-subst-4.2.0-150200.3.14.1
    * xmvn-mojo-4.2.0-150200.3.14.1
    * maven-resolver-named-locks-1.9.15-150200.3.14.2
    * maven-resolver-spi-1.9.15-150200.3.14.2
    * xmvn-resolve-4.2.0-150200.3.14.1
    * maven-resolver-connector-basic-1.9.15-150200.3.14.2
    * maven-resolver-transport-file-1.9.15-150200.3.14.2
    * maven-resolver-impl-1.9.15-150200.3.14.2
    * maven-resolver-util-1.9.15-150200.3.14.2
    * xmvn-api-4.2.0-150200.3.14.1
    * maven-resolver-transport-wagon-1.9.15-150200.3.14.2
    * maven-resolver-transport-http-1.9.15-150200.3.14.2
  * SUSE Linux Enterprise High Performance Computing LTSS 15 SP3 (aarch64
    x86_64)
    * xmvn-minimal-4.2.0-150200.3.14.1
    * maven-3.9.4-150200.4.18.1
    * maven-lib-3.9.4-150200.4.18.1
    * xmvn-4.2.0-150200.3.14.1
  * SUSE Linux Enterprise High Performance Computing LTSS 15 SP3 (noarch)
    * xmvn-core-4.2.0-150200.3.14.1
    * xmvn-connector-4.2.0-150200.3.14.1
    * xmvn-install-4.2.0-150200.3.14.1
    * maven-resolver-api-1.9.15-150200.3.14.2
    * xmvn-subst-4.2.0-150200.3.14.1
    * xmvn-mojo-4.2.0-150200.3.14.1
    * maven-resolver-named-locks-1.9.15-150200.3.14.2
    * maven-resolver-spi-1.9.15-150200.3.14.2
    * xmvn-resolve-4.2.0-150200.3.14.1
    * maven-resolver-connector-basic-1.9.15-150200.3.14.2
    * maven-resolver-transport-file-1.9.15-150200.3.14.2
    * maven-resolver-impl-1.9.15-150200.3.14.2
    * maven-resolver-util-1.9.15-150200.3.14.2
    * xmvn-api-4.2.0-150200.3.14.1
    * maven-resolver-transport-wagon-1.9.15-150200.3.14.2
    * maven-resolver-transport-http-1.9.15-150200.3.14.2
  * SUSE Linux Enterprise Server 15 SP2 LTSS 15-SP2 (aarch64 ppc64le s390x
    x86_64)
    * xmvn-minimal-4.2.0-150200.3.14.1
    * maven-3.9.4-150200.4.18.1
    * maven-lib-3.9.4-150200.4.18.1
    * xmvn-4.2.0-150200.3.14.1
  * SUSE Linux Enterprise Server 15 SP2 LTSS 15-SP2 (noarch)
    * xmvn-core-4.2.0-150200.3.14.1
    * xmvn-connector-4.2.0-150200.3.14.1
    * xmvn-install-4.2.0-150200.3.14.1
    * maven-resolver-api-1.9.15-150200.3.14.2
    * xmvn-subst-4.2.0-150200.3.14.1
    * xmvn-mojo-4.2.0-150200.3.14.1
    * maven-resolver-named-locks-1.9.15-150200.3.14.2
    * maven-resolver-spi-1.9.15-150200.3.14.2
    * xmvn-resolve-4.2.0-150200.3.14.1
    * maven-resolver-connector-basic-1.9.15-150200.3.14.2
    * maven-resolver-transport-file-1.9.15-150200.3.14.2
    * maven-resolver-impl-1.9.15-150200.3.14.2
    * maven-resolver-util-1.9.15-150200.3.14.2
    * xmvn-api-4.2.0-150200.3.14.1
    * maven-resolver-transport-wagon-1.9.15-150200.3.14.2
    * maven-resolver-transport-http-1.9.15-150200.3.14.2
  * SUSE Linux Enterprise Server 15 SP3 LTSS 15-SP3 (aarch64 ppc64le s390x
    x86_64)
    * xmvn-minimal-4.2.0-150200.3.14.1
    * maven-3.9.4-150200.4.18.1
    * maven-lib-3.9.4-150200.4.18.1
    * xmvn-4.2.0-150200.3.14.1
  * SUSE Linux Enterprise Server 15 SP3 LTSS 15-SP3 (noarch)
    * xmvn-core-4.2.0-150200.3.14.1
    * xmvn-connector-4.2.0-150200.3.14.1
    * xmvn-install-4.2.0-150200.3.14.1
    * maven-resolver-api-1.9.15-150200.3.14.2
    * xmvn-subst-4.2.0-150200.3.14.1
    * xmvn-mojo-4.2.0-150200.3.14.1
    * maven-resolver-named-locks-1.9.15-150200.3.14.2
    * maven-resolver-spi-1.9.15-150200.3.14.2
    * xmvn-resolve-4.2.0-150200.3.14.1
    * maven-resolver-connector-basic-1.9.15-150200.3.14.2
    * maven-resolver-transport-file-1.9.15-150200.3.14.2
    * maven-resolver-impl-1.9.15-150200.3.14.2
    * maven-resolver-util-1.9.15-150200.3.14.2
    * xmvn-api-4.2.0-150200.3.14.1
    * maven-resolver-transport-wagon-1.9.15-150200.3.14.2
    * maven-resolver-transport-http-1.9.15-150200.3.14.2
  * SUSE Linux Enterprise Server for SAP Applications 15 SP2 (ppc64le x86_64)
    * xmvn-minimal-4.2.0-150200.3.14.1
    * maven-3.9.4-150200.4.18.1
    * maven-lib-3.9.4-150200.4.18.1
    * xmvn-4.2.0-150200.3.14.1
  * SUSE Linux Enterprise Server for SAP Applications 15 SP2 (noarch)
    * xmvn-core-4.2.0-150200.3.14.1
    * xmvn-connector-4.2.0-150200.3.14.1
    * xmvn-install-4.2.0-150200.3.14.1
    * maven-resolver-api-1.9.15-150200.3.14.2
    * xmvn-subst-4.2.0-150200.3.14.1
    * xmvn-mojo-4.2.0-150200.3.14.1
    * maven-resolver-named-locks-1.9.15-150200.3.14.2
    * maven-resolver-spi-1.9.15-150200.3.14.2
    * xmvn-resolve-4.2.0-150200.3.14.1
    * maven-resolver-connector-basic-1.9.15-150200.3.14.2
    * maven-resolver-transport-file-1.9.15-150200.3.14.2
    * maven-resolver-impl-1.9.15-150200.3.14.2
    * maven-resolver-util-1.9.15-150200.3.14.2
    * xmvn-api-4.2.0-150200.3.14.1
    * maven-resolver-transport-wagon-1.9.15-150200.3.14.2
    * maven-resolver-transport-http-1.9.15-150200.3.14.2
  * SUSE Linux Enterprise Server for SAP Applications 15 SP3 (ppc64le x86_64)
    * xmvn-minimal-4.2.0-150200.3.14.1
    * maven-3.9.4-150200.4.18.1
    * maven-lib-3.9.4-150200.4.18.1
    * xmvn-4.2.0-150200.3.14.1
  * SUSE Linux Enterprise Server for SAP Applications 15 SP3 (noarch)
    * xmvn-core-4.2.0-150200.3.14.1
    * xmvn-connector-4.2.0-150200.3.14.1
    * xmvn-install-4.2.0-150200.3.14.1
    * maven-resolver-api-1.9.15-150200.3.14.2
    * xmvn-subst-4.2.0-150200.3.14.1
    * xmvn-mojo-4.2.0-150200.3.14.1
    * maven-resolver-named-locks-1.9.15-150200.3.14.2
    * maven-resolver-spi-1.9.15-150200.3.14.2
    * xmvn-resolve-4.2.0-150200.3.14.1
    * maven-resolver-connector-basic-1.9.15-150200.3.14.2
    * maven-resolver-transport-file-1.9.15-150200.3.14.2
    * maven-resolver-impl-1.9.15-150200.3.14.2
    * maven-resolver-util-1.9.15-150200.3.14.2
    * xmvn-api-4.2.0-150200.3.14.1
    * maven-resolver-transport-wagon-1.9.15-150200.3.14.2
    * maven-resolver-transport-http-1.9.15-150200.3.14.2
  * SUSE Enterprise Storage 7.1 (aarch64 x86_64)
    * xmvn-minimal-4.2.0-150200.3.14.1
    * maven-3.9.4-150200.4.18.1
    * maven-lib-3.9.4-150200.4.18.1
    * xmvn-4.2.0-150200.3.14.1
  * SUSE Enterprise Storage 7.1 (noarch)
    * xmvn-core-4.2.0-150200.3.14.1
    * xmvn-connector-4.2.0-150200.3.14.1
    * xmvn-install-4.2.0-150200.3.14.1
    * maven-resolver-api-1.9.15-150200.3.14.2
    * xmvn-subst-4.2.0-150200.3.14.1
    * xmvn-mojo-4.2.0-150200.3.14.1
    * maven-resolver-named-locks-1.9.15-150200.3.14.2
    * maven-resolver-spi-1.9.15-150200.3.14.2
    * xmvn-resolve-4.2.0-150200.3.14.1
    * maven-resolver-connector-basic-1.9.15-150200.3.14.2
    * maven-resolver-transport-file-1.9.15-150200.3.14.2
    * maven-resolver-impl-1.9.15-150200.3.14.2
    * maven-resolver-util-1.9.15-150200.3.14.2
    * xmvn-api-4.2.0-150200.3.14.1
    * maven-resolver-transport-wagon-1.9.15-150200.3.14.2
    * maven-resolver-transport-http-1.9.15-150200.3.14.2

## References:

  * https://www.suse.com/security/cve/CVE-2023-46122.html
  * https://bugzilla.suse.com/show_bug.cgi?id=1162112
  * https://bugzilla.suse.com/show_bug.cgi?id=1216529

SUSE: 2023:4527-1 moderate: maven, maven-resolver, sbt, xmvn

November 22, 2023
* bsc#1162112 * bsc#1216529 Cross-References: * CVE-2023-46122

Summary

## This update for maven, maven-resolver, sbt, xmvn fixes the following issues: * CVE-2023-46122: Fixed an arbitrary file write when extracting a crafted zip file with sbt (bsc#1216529). * Upgraded maven to version 3.9.4 * Upgraded maven-resolver to version 1.9.15. ## Patch Instructions: To install this SUSE update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: * openSUSE Leap 15.4 zypper in -t patch openSUSE-SLE-15.4-2023-4527=1 * openSUSE Leap 15.5 zypper in -t patch openSUSE-SLE-15.5-2023-4527=1 * Development Tools Module 15-SP4 zypper in -t patch SUSE-SLE-Module-Development-Tools-15-SP4-2023-4527=1 * Development Tools Module 15-SP5 zypper in -t patch SUSE-SLE-Module-Development-Tools-15-SP5-2023-4527=1 * SUSE Package Hub 15 15-SP5 zypper in -t patch SUSE-SLE-Module-Packagehub-Subpackages-15-SP5-2023-4527=1 * SUSE Linux Enterprise High Performance Computing 15 SP2 LTSS 15-SP2 zypper in -t patch SUSE-SLE-Product-HPC-15-SP2-LTSS-2023-4527=1 * SUSE Linux Enterprise High Performance Computing ESPOS 15 SP3 zypper in -t patch SUSE-SLE-Product-HPC-15-SP3-ESPOS-2023-4527=1 * SUSE Linux Enterprise High Performance Computing LTSS 15 SP3 zypper in -t patch SUSE-SLE-Product-HPC-15-SP3-LTSS-2023-4527=1 * SUSE Linux Enterprise Server 15 SP2 LTSS 15-SP2 zypper in -t patch SUSE-SLE-Product-SLES-15-SP2-LTSS-2023-4527=1 * SUSE Linux Enterprise Server 15 SP3 LTSS 15-SP3 zypper in -t patch SUSE-SLE-Product-SLES-15-SP3-LTSS-2023-4527=1 * SUSE Linux Enterprise Server for SAP Applications 15 SP2 zypper in -t patch SUSE-SLE-Product-SLES_SAP-15-SP2-2023-4527=1 * SUSE Linux Enterprise Server for SAP Applications 15 SP3 zypper in -t patch SUSE-SLE-Product-SLES_SAP-15-SP3-2023-4527=1 * SUSE Enterprise Storage 7.1 zypper in -t patch SUSE-Storage-7.1-2023-4527=1 ## Package List: * openSUSE Leap 15.4 (aarch64 ppc64le s390x x86_64) * xmvn-minimal-4.2.0-150200.3.14.1 * maven-3.9.4-150200.4.18.1 * maven-lib-3.9.4-150200.4.18.1 * xmvn-4.2.0-150200.3.14.1 * openSUSE Leap 15.4 (noarch) * xmvn-core-4.2.0-150200.3.14.1 * maven-resolver-api-1.9.15-150200.3.14.2 * maven-resolver-transport-classpath-1.9.15-150200.3.14.2 * maven-javadoc-3.9.4-150200.4.18.1 * xmvn-api-4.2.0-150200.3.14.1 * maven-resolver-transport-http-1.9.15-150200.3.14.2 * maven-resolver-javadoc-1.9.15-150200.3.14.2 * maven-resolver-test-util-1.9.15-150200.3.14.2 * sbt-0.13.18-150200.4.16.1 * maven-resolver-connector-basic-1.9.15-150200.3.14.2 * maven-resolver-transport-file-1.9.15-150200.3.14.2 * maven-resolver-util-1.9.15-150200.3.14.2 * sbt-bootstrap-0.13.18-150200.4.16.1 * xmvn-connector-javadoc-4.2.0-150200.3.14.1 * xmvn-connector-4.2.0-150200.3.14.1 * xmvn-mojo-4.2.0-150200.3.14.1 * xmvn-tools-javadoc-4.2.0-150200.3.14.1 * maven-resolver-impl-1.9.15-150200.3.14.2 * xmvn-parent-4.2.0-150200.3.14.1 * maven-resolver-transport-wagon-1.9.15-150200.3.14.2 * xmvn-subst-4.2.0-150200.3.14.1 * xmvn-install-4.2.0-150200.3.14.1 * maven-resolver-named-locks-1.9.15-150200.3.14.2 * maven-resolver-1.9.15-150200.3.14.2 * maven-resolver-spi-1.9.15-150200.3.14.2 * xmvn-mojo-javadoc-4.2.0-150200.3.14.1 * xmvn-resolve-4.2.0-150200.3.14.1 * openSUSE Leap 15.5 (aarch64 ppc64le s390x x86_64) * xmvn-minimal-4.2.0-150200.3.14.1 * maven-3.9.4-150200.4.18.1 * maven-lib-3.9.4-150200.4.18.1 * xmvn-4.2.0-150200.3.14.1 * openSUSE Leap 15.5 (noarch) * xmvn-core-4.2.0-150200.3.14.1 * maven-resolver-api-1.9.15-150200.3.14.2 * maven-resolver-transport-classpath-1.9.15-150200.3.14.2 * maven-javadoc-3.9.4-150200.4.18.1 * xmvn-api-4.2.0-150200.3.14.1 * maven-resolver-transport-http-1.9.15-150200.3.14.2 * maven-resolver-javadoc-1.9.15-150200.3.14.2 * maven-resolver-test-util-1.9.15-150200.3.14.2 * sbt-0.13.18-150200.4.16.1 * maven-resolver-connector-basic-1.9.15-150200.3.14.2 * maven-resolver-transport-file-1.9.15-150200.3.14.2 * maven-resolver-util-1.9.15-150200.3.14.2 * sbt-bootstrap-0.13.18-150200.4.16.1 * xmvn-connector-javadoc-4.2.0-150200.3.14.1 * xmvn-connector-4.2.0-150200.3.14.1 * xmvn-mojo-4.2.0-150200.3.14.1 * xmvn-tools-javadoc-4.2.0-150200.3.14.1 * maven-resolver-impl-1.9.15-150200.3.14.2 * xmvn-parent-4.2.0-150200.3.14.1 * maven-resolver-transport-wagon-1.9.15-150200.3.14.2 * xmvn-subst-4.2.0-150200.3.14.1 * xmvn-install-4.2.0-150200.3.14.1 * maven-resolver-named-locks-1.9.15-150200.3.14.2 * maven-resolver-1.9.15-150200.3.14.2 * maven-resolver-spi-1.9.15-150200.3.14.2 * xmvn-mojo-javadoc-4.2.0-150200.3.14.1 * xmvn-resolve-4.2.0-150200.3.14.1 * Development Tools Module 15-SP4 (aarch64 ppc64le s390x x86_64) * maven-3.9.4-150200.4.18.1 * maven-lib-3.9.4-150200.4.18.1 * xmvn-minimal-4.2.0-150200.3.14.1 * xmvn-4.2.0-150200.3.14.1 * Development Tools Module 15-SP4 (noarch) * xmvn-core-4.2.0-150200.3.14.1 * xmvn-connector-4.2.0-150200.3.14.1 * xmvn-install-4.2.0-150200.3.14.1 * maven-resolver-api-1.9.15-150200.3.14.2 * xmvn-subst-4.2.0-150200.3.14.1 * xmvn-mojo-4.2.0-150200.3.14.1 * maven-resolver-named-locks-1.9.15-150200.3.14.2 * maven-resolver-spi-1.9.15-150200.3.14.2 * xmvn-resolve-4.2.0-150200.3.14.1 * maven-resolver-connector-basic-1.9.15-150200.3.14.2 * maven-resolver-transport-file-1.9.15-150200.3.14.2 * maven-resolver-impl-1.9.15-150200.3.14.2 * maven-resolver-util-1.9.15-150200.3.14.2 * xmvn-api-4.2.0-150200.3.14.1 * maven-resolver-transport-wagon-1.9.15-150200.3.14.2 * maven-resolver-transport-http-1.9.15-150200.3.14.2 * Development Tools Module 15-SP5 (aarch64 ppc64le s390x x86_64) * xmvn-minimal-4.2.0-150200.3.14.1 * maven-3.9.4-150200.4.18.1 * maven-lib-3.9.4-150200.4.18.1 * xmvn-4.2.0-150200.3.14.1 * Development Tools Module 15-SP5 (noarch) * xmvn-core-4.2.0-150200.3.14.1 * xmvn-connector-4.2.0-150200.3.14.1 * xmvn-install-4.2.0-150200.3.14.1 * maven-resolver-api-1.9.15-150200.3.14.2 * xmvn-subst-4.2.0-150200.3.14.1 * xmvn-mojo-4.2.0-150200.3.14.1 * maven-resolver-named-locks-1.9.15-150200.3.14.2 * maven-resolver-spi-1.9.15-150200.3.14.2 * xmvn-resolve-4.2.0-150200.3.14.1 * maven-resolver-connector-basic-1.9.15-150200.3.14.2 * maven-resolver-transport-file-1.9.15-150200.3.14.2 * maven-resolver-impl-1.9.15-150200.3.14.2 * xmvn-api-4.2.0-150200.3.14.1 * maven-resolver-util-1.9.15-150200.3.14.2 * maven-resolver-transport-wagon-1.9.15-150200.3.14.2 * maven-resolver-transport-http-1.9.15-150200.3.14.2 * SUSE Package Hub 15 15-SP5 (noarch) * sbt-bootstrap-0.13.18-150200.4.16.1 * sbt-0.13.18-150200.4.16.1 * SUSE Linux Enterprise High Performance Computing 15 SP2 LTSS 15-SP2 (aarch64 x86_64) * xmvn-minimal-4.2.0-150200.3.14.1 * maven-3.9.4-150200.4.18.1 * maven-lib-3.9.4-150200.4.18.1 * xmvn-4.2.0-150200.3.14.1 * SUSE Linux Enterprise High Performance Computing 15 SP2 LTSS 15-SP2 (noarch) * xmvn-core-4.2.0-150200.3.14.1 * xmvn-connector-4.2.0-150200.3.14.1 * xmvn-install-4.2.0-150200.3.14.1 * maven-resolver-api-1.9.15-150200.3.14.2 * xmvn-subst-4.2.0-150200.3.14.1 * xmvn-mojo-4.2.0-150200.3.14.1 * maven-resolver-named-locks-1.9.15-150200.3.14.2 * maven-resolver-spi-1.9.15-150200.3.14.2 * xmvn-resolve-4.2.0-150200.3.14.1 * maven-resolver-connector-basic-1.9.15-150200.3.14.2 * maven-resolver-transport-file-1.9.15-150200.3.14.2 * maven-resolver-impl-1.9.15-150200.3.14.2 * maven-resolver-util-1.9.15-150200.3.14.2 * xmvn-api-4.2.0-150200.3.14.1 * maven-resolver-transport-wagon-1.9.15-150200.3.14.2 * maven-resolver-transport-http-1.9.15-150200.3.14.2 * SUSE Linux Enterprise High Performance Computing ESPOS 15 SP3 (aarch64 x86_64) * xmvn-minimal-4.2.0-150200.3.14.1 * maven-3.9.4-150200.4.18.1 * maven-lib-3.9.4-150200.4.18.1 * xmvn-4.2.0-150200.3.14.1 * SUSE Linux Enterprise High Performance Computing ESPOS 15 SP3 (noarch) * xmvn-core-4.2.0-150200.3.14.1 * xmvn-connector-4.2.0-150200.3.14.1 * xmvn-install-4.2.0-150200.3.14.1 * maven-resolver-api-1.9.15-150200.3.14.2 * xmvn-subst-4.2.0-150200.3.14.1 * xmvn-mojo-4.2.0-150200.3.14.1 * maven-resolver-named-locks-1.9.15-150200.3.14.2 * maven-resolver-spi-1.9.15-150200.3.14.2 * xmvn-resolve-4.2.0-150200.3.14.1 * maven-resolver-connector-basic-1.9.15-150200.3.14.2 * maven-resolver-transport-file-1.9.15-150200.3.14.2 * maven-resolver-impl-1.9.15-150200.3.14.2 * maven-resolver-util-1.9.15-150200.3.14.2 * xmvn-api-4.2.0-150200.3.14.1 * maven-resolver-transport-wagon-1.9.15-150200.3.14.2 * maven-resolver-transport-http-1.9.15-150200.3.14.2 * SUSE Linux Enterprise High Performance Computing LTSS 15 SP3 (aarch64 x86_64) * xmvn-minimal-4.2.0-150200.3.14.1 * maven-3.9.4-150200.4.18.1 * maven-lib-3.9.4-150200.4.18.1 * xmvn-4.2.0-150200.3.14.1 * SUSE Linux Enterprise High Performance Computing LTSS 15 SP3 (noarch) * xmvn-core-4.2.0-150200.3.14.1 * xmvn-connector-4.2.0-150200.3.14.1 * xmvn-install-4.2.0-150200.3.14.1 * maven-resolver-api-1.9.15-150200.3.14.2 * xmvn-subst-4.2.0-150200.3.14.1 * xmvn-mojo-4.2.0-150200.3.14.1 * maven-resolver-named-locks-1.9.15-150200.3.14.2 * maven-resolver-spi-1.9.15-150200.3.14.2 * xmvn-resolve-4.2.0-150200.3.14.1 * maven-resolver-connector-basic-1.9.15-150200.3.14.2 * maven-resolver-transport-file-1.9.15-150200.3.14.2 * maven-resolver-impl-1.9.15-150200.3.14.2 * maven-resolver-util-1.9.15-150200.3.14.2 * xmvn-api-4.2.0-150200.3.14.1 * maven-resolver-transport-wagon-1.9.15-150200.3.14.2 * maven-resolver-transport-http-1.9.15-150200.3.14.2 * SUSE Linux Enterprise Server 15 SP2 LTSS 15-SP2 (aarch64 ppc64le s390x x86_64) * xmvn-minimal-4.2.0-150200.3.14.1 * maven-3.9.4-150200.4.18.1 * maven-lib-3.9.4-150200.4.18.1 * xmvn-4.2.0-150200.3.14.1 * SUSE Linux Enterprise Server 15 SP2 LTSS 15-SP2 (noarch) * xmvn-core-4.2.0-150200.3.14.1 * xmvn-connector-4.2.0-150200.3.14.1 * xmvn-install-4.2.0-150200.3.14.1 * maven-resolver-api-1.9.15-150200.3.14.2 * xmvn-subst-4.2.0-150200.3.14.1 * xmvn-mojo-4.2.0-150200.3.14.1 * maven-resolver-named-locks-1.9.15-150200.3.14.2 * maven-resolver-spi-1.9.15-150200.3.14.2 * xmvn-resolve-4.2.0-150200.3.14.1 * maven-resolver-connector-basic-1.9.15-150200.3.14.2 * maven-resolver-transport-file-1.9.15-150200.3.14.2 * maven-resolver-impl-1.9.15-150200.3.14.2 * maven-resolver-util-1.9.15-150200.3.14.2 * xmvn-api-4.2.0-150200.3.14.1 * maven-resolver-transport-wagon-1.9.15-150200.3.14.2 * maven-resolver-transport-http-1.9.15-150200.3.14.2 * SUSE Linux Enterprise Server 15 SP3 LTSS 15-SP3 (aarch64 ppc64le s390x x86_64) * xmvn-minimal-4.2.0-150200.3.14.1 * maven-3.9.4-150200.4.18.1 * maven-lib-3.9.4-150200.4.18.1 * xmvn-4.2.0-150200.3.14.1 * SUSE Linux Enterprise Server 15 SP3 LTSS 15-SP3 (noarch) * xmvn-core-4.2.0-150200.3.14.1 * xmvn-connector-4.2.0-150200.3.14.1 * xmvn-install-4.2.0-150200.3.14.1 * maven-resolver-api-1.9.15-150200.3.14.2 * xmvn-subst-4.2.0-150200.3.14.1 * xmvn-mojo-4.2.0-150200.3.14.1 * maven-resolver-named-locks-1.9.15-150200.3.14.2 * maven-resolver-spi-1.9.15-150200.3.14.2 * xmvn-resolve-4.2.0-150200.3.14.1 * maven-resolver-connector-basic-1.9.15-150200.3.14.2 * maven-resolver-transport-file-1.9.15-150200.3.14.2 * maven-resolver-impl-1.9.15-150200.3.14.2 * maven-resolver-util-1.9.15-150200.3.14.2 * xmvn-api-4.2.0-150200.3.14.1 * maven-resolver-transport-wagon-1.9.15-150200.3.14.2 * maven-resolver-transport-http-1.9.15-150200.3.14.2 * SUSE Linux Enterprise Server for SAP Applications 15 SP2 (ppc64le x86_64) * xmvn-minimal-4.2.0-150200.3.14.1 * maven-3.9.4-150200.4.18.1 * maven-lib-3.9.4-150200.4.18.1 * xmvn-4.2.0-150200.3.14.1 * SUSE Linux Enterprise Server for SAP Applications 15 SP2 (noarch) * xmvn-core-4.2.0-150200.3.14.1 * xmvn-connector-4.2.0-150200.3.14.1 * xmvn-install-4.2.0-150200.3.14.1 * maven-resolver-api-1.9.15-150200.3.14.2 * xmvn-subst-4.2.0-150200.3.14.1 * xmvn-mojo-4.2.0-150200.3.14.1 * maven-resolver-named-locks-1.9.15-150200.3.14.2 * maven-resolver-spi-1.9.15-150200.3.14.2 * xmvn-resolve-4.2.0-150200.3.14.1 * maven-resolver-connector-basic-1.9.15-150200.3.14.2 * maven-resolver-transport-file-1.9.15-150200.3.14.2 * maven-resolver-impl-1.9.15-150200.3.14.2 * maven-resolver-util-1.9.15-150200.3.14.2 * xmvn-api-4.2.0-150200.3.14.1 * maven-resolver-transport-wagon-1.9.15-150200.3.14.2 * maven-resolver-transport-http-1.9.15-150200.3.14.2 * SUSE Linux Enterprise Server for SAP Applications 15 SP3 (ppc64le x86_64) * xmvn-minimal-4.2.0-150200.3.14.1 * maven-3.9.4-150200.4.18.1 * maven-lib-3.9.4-150200.4.18.1 * xmvn-4.2.0-150200.3.14.1 * SUSE Linux Enterprise Server for SAP Applications 15 SP3 (noarch) * xmvn-core-4.2.0-150200.3.14.1 * xmvn-connector-4.2.0-150200.3.14.1 * xmvn-install-4.2.0-150200.3.14.1 * maven-resolver-api-1.9.15-150200.3.14.2 * xmvn-subst-4.2.0-150200.3.14.1 * xmvn-mojo-4.2.0-150200.3.14.1 * maven-resolver-named-locks-1.9.15-150200.3.14.2 * maven-resolver-spi-1.9.15-150200.3.14.2 * xmvn-resolve-4.2.0-150200.3.14.1 * maven-resolver-connector-basic-1.9.15-150200.3.14.2 * maven-resolver-transport-file-1.9.15-150200.3.14.2 * maven-resolver-impl-1.9.15-150200.3.14.2 * maven-resolver-util-1.9.15-150200.3.14.2 * xmvn-api-4.2.0-150200.3.14.1 * maven-resolver-transport-wagon-1.9.15-150200.3.14.2 * maven-resolver-transport-http-1.9.15-150200.3.14.2 * SUSE Enterprise Storage 7.1 (aarch64 x86_64) * xmvn-minimal-4.2.0-150200.3.14.1 * maven-3.9.4-150200.4.18.1 * maven-lib-3.9.4-150200.4.18.1 * xmvn-4.2.0-150200.3.14.1 * SUSE Enterprise Storage 7.1 (noarch) * xmvn-core-4.2.0-150200.3.14.1 * xmvn-connector-4.2.0-150200.3.14.1 * xmvn-install-4.2.0-150200.3.14.1 * maven-resolver-api-1.9.15-150200.3.14.2 * xmvn-subst-4.2.0-150200.3.14.1 * xmvn-mojo-4.2.0-150200.3.14.1 * maven-resolver-named-locks-1.9.15-150200.3.14.2 * maven-resolver-spi-1.9.15-150200.3.14.2 * xmvn-resolve-4.2.0-150200.3.14.1 * maven-resolver-connector-basic-1.9.15-150200.3.14.2 * maven-resolver-transport-file-1.9.15-150200.3.14.2 * maven-resolver-impl-1.9.15-150200.3.14.2 * maven-resolver-util-1.9.15-150200.3.14.2 * xmvn-api-4.2.0-150200.3.14.1 * maven-resolver-transport-wagon-1.9.15-150200.3.14.2 * maven-resolver-transport-http-1.9.15-150200.3.14.2

References

* bsc#1162112

* bsc#1216529

Cross-

* CVE-2023-46122

CVSS scores:

* CVE-2023-46122 ( SUSE ): 3.9 CVSS:3.1/AV:L/AC:L/PR:L/UI:R/S:U/C:N/I:L/A:L

* CVE-2023-46122 ( NVD ): 3.9 CVSS:3.1/AV:L/AC:L/PR:L/UI:R/S:U/C:N/I:L/A:L

Affected Products:

* Development Tools Module 15-SP4

* Development Tools Module 15-SP5

* openSUSE Leap 15.4

* openSUSE Leap 15.5

* SUSE Enterprise Storage 7.1

* SUSE Linux Enterprise Desktop 15 SP4

* SUSE Linux Enterprise Desktop 15 SP5

* SUSE Linux Enterprise High Performance Computing 15 SP2

* SUSE Linux Enterprise High Performance Computing 15 SP2 LTSS 15-SP2

* SUSE Linux Enterprise High Performance Computing 15 SP3

* SUSE Linux Enterprise High Performance Computing 15 SP4

* SUSE Linux Enterprise High Performance Computing 15 SP5

* SUSE Linux Enterprise High Performance Computing ESPOS 15 SP3

* SUSE Linux Enterprise High Performance Computing LTSS 15 SP3

* SUSE Linux Enterprise Micro 5.5

* SUSE Linux Enterprise Micro 6.0

* SUSE Linux Enterprise Real Time 15 SP4

* SUSE Linux Enterprise Real Time 15 SP5

* SUSE Linux Enterprise Server 15 SP2

* SUSE Linux Enterprise Server 15 SP2 LTSS 15-SP2

* SUSE Linux Enterprise Server 15 SP3

* SUSE Linux Enterprise Server 15 SP3 LTSS 15-SP3

* SUSE Linux Enterprise Server 15 SP4

* SUSE Linux Enterprise Server 15 SP5

* SUSE Linux Enterprise Server for SAP Applications 15 SP2

* SUSE Linux Enterprise Server for SAP Applications 15 SP3

* SUSE Linux Enterprise Server for SAP Applications 15 SP4

* SUSE Linux Enterprise Server for SAP Applications 15 SP5

* SUSE Manager Proxy 4.3

* SUSE Manager Retail Branch Server 4.3

* SUSE Manager Server 4.3

* SUSE Package Hub 15 15-SP5

An update that solves one vulnerability and has one security fix can now be

installed.

##

* https://www.suse.com/security/cve/CVE-2023-46122.html

* https://bugzilla.suse.com/show_bug.cgi?id=1162112

* https://bugzilla.suse.com/show_bug.cgi?id=1216529

Severity
Announcement ID: SUSE-SU-2023:4527-1
Rating: moderate

Related News

News

Powered By

Footer Logo

Linux Security - Your source for Top Linux News, Advisories, HowTo's and Feature Release.

Powered By

Footer Logo